# Quandl::Cassinatra

```ruby

require 'quandl/cassinatra'

Quandl::Cassinatra.use 'http://192.168.33.10:8983/wikiposit_cassandra/'

include Quandl::Cassinatra

```


### Quandl::Cassinatra::Dataset

#### Find / Scope

```ruby

require 'quandl/cassinatra'

d = Quandl::Cassinatra::Dataset.limit(10).transform(:rdiff).collapse(:weekly).find(293)
d.data
=> [...]

d.column_ids
=> [1,2,3]

d.columns_count
d.created_at
d.frequency
d.rows_count
d.type
d.updated_at

```

#### Create

```ruby

require 'quandl/cassinatra'

d = Quandl::Cassinatra::Dataset.new
d.id = 5893853
d.data = Quandl::Fabricate::Data::Table.rand(rows: 10, columns: 4, nils: false).to_csv
d.save

d = Quandl::Cassinatra::Dataset.find(5893853)
d.data
=> [...]

```


### Quandl::Cassinatra::Multiset

```ruby

require 'quandl/cassinatra'

m = Quandl::Cassinatra::Multiset.with_columns('5893853.1,293.2').limit(10).collapse(:monthly)
m.data
=> [...]

```