# encoding: utf-8
require 'spec_helper'

describe Dataset do
  
  let(:dataset){ create(:dataset) }
  subject{ Dataset.find(dataset.id) }

  its(:data){ should be_present }

  describe "#delete_data" do
    before(:each){ subject.delete_data }
    it "data should be blank" do
      Dataset.find(dataset.id).data.should be_blank
    end
  end

  describe "#delete_rows" do
    
    let(:dates_slice){ dataset.data.to_h.keys[10..19] }
    
    before(:each){ subject.delete_rows( dates_slice ) }
    
    its(:status){ should eq 200 }
  
    it "data count should be 720" do
      Dataset.find( dataset.id ).data.count.should eq 720
    end
  
  end

end