# encoding: utf-8
require 'spec_helper'

describe Dataset do
  
  let(:dataset){ build(:dataset) }
  
  subject{ dataset }
  
  it { should respond_to :data }
  
  describe "#data" do
    subject{ dataset.data }
    its(:count){ should eq 730 }
  end
  
  context "#save" do
    
    before(:each){ dataset.save }
    
    subject{ Dataset.find(dataset.id) }
    
    its(:count_data){ should eq dataset.data.count }
  
    describe "#columns" do
      subject{ dataset.columns }
      its(:count){ should eq 3 }
    end
  
    describe "#column_ids" do
      subject{ dataset.column_ids }
      its(:count){ should eq 3 }
      
      it "each should be present" do
        subject.each{|cid| cid.present?.should be_true }
      end
    end
    
    describe "#data" do
      subject{ dataset.data }
      its(:count){ should eq 730 }
    end
    
  end
  
end